#include <stdio.h>

int factorial(n) { 
	if(n<=1) { 
		return 1;
	} else {
		return n * factorial(n-1);
	}
}

int iterative_factorial(n) { 
	if(n<=1) {
		return 1;
	} else { 
		int product = 1;
		for( int i = 2; i <= n; i++ ) {
			product *= i;
		}
		return product;
	}
}

int main(void) {
	int n = 8;
	printf("Recursive factorial: %d! = %d \n", n, factorial(n) );
    printf("Iterative factorial: %d! = %d \n", n, iterative_factorial(n) );
    return 0;
}

