#include <stdio.h>
#include <time.h>

/*
 * This program prints the current date and the current time.
 */

int main(void) {

    // get the current time, C time_type
    time_t t = time(NULL);

	// The call to localtime returns a struct of type tm, defined in time.h
	// Store the result in a struct of type tm called mytm.
    struct tm mytm = *localtime(&t);

    // Print each chunk of the struct using printf
    printf("The current date is: %0.04d-%0.02d-%0.02d\n", mytm.tm_year + 1900, mytm.tm_mon + 1, mytm.tm_mday);
    printf("The current time is: %02d:%02d:%02d\n", mytm.tm_hour, mytm.tm_min, mytm.tm_sec);

    return 0;
}
