package main
import "math" 
import "fmt"
 
func f(x float64) float64 {
    return math.Sin(x);
}

func simpsons_rule(a float64, b float64, n int) float64 {
    if n%2 != 0 { 
        panic("Number of intervals was not divisible by 2!")
    }
    // bunch of senseless baloney. stupid go types
    h := (b-a)/float64( n )
    var s1, s2, sum, x_i float64 = 0.0, 0.0, 0.0, 0.0

    for i:=1; i<=n; i++ {
        ih := float64(i)*h
        x_i = a + ih 
        if i%2==0 {
            s1 = s1 + f(x_i)
        } else {
            s2 = s2 + f(x_i)
        }
        sum = (h/3)*( f(a) + f(b) + 2*s1 + 4*s2 )
    }

    return sum
}
 
func main() {

    var x0, x1 float64 = 0.0, math.Pi/2.0;

    fmt.Printf("Integral of sin(x) from 0 to pi/2 is %0.4f \n", simpsons_rule(x0, x1, 1000))

}
