// Factorial class:
// Defines a static method to compute the factorial of a number.
// Prints the factorial of 12 if run. 
public class Factorial
{
    // Print 12! if run
    public static void main(String[] args)
    {
        System.out.println( fact(12) );
    }

    // Define a factorial function
    public static long fact(final int n) {
        if (n < 0) {
            System.err.println("No negative numbers");
            return 0;
        }
        long ans = 1;
        for (int i = 1; i <= n; i++) {
            ans *= i;
        }
        return ans;
    }
}

