<?php

/////////////////////////////////////
//  Iterative factorial function
function factorial($n) {
	if ($n < 0) {
		return 0;
	}

	$factorial = 1;
	for ($i = $n; $i >= 1; $i--) {
		$factorial = $factorial * $i;
	}

	return $factorial;
}

/////////////////////////////////////
//  Recursive factorial function
function rfactorial($n) {
	if($n<1) {
		return 0;
	} else if ($n==1) {
		return 1;
	} else {
		return $n * rfactorial($n - 1);;
	}
}



/////////////////////////////////////
// Print result of iterative factorial
echo factorial(7);
echo "\n";


/////////////////////////////////////
// Print result of recursive factorial
echo rfactorial(7);
echo "\n";

?>
