"""
Iterator Pattern

Implemented in Python using a generator function (yield keyword) 
"""

def count_peeps(count):
    iterables = ["joe","harry","sue","tom","sally","mary"]

    # The zip keeps from counting over the limit
    for iterator, pos in zip(iterables, range(count)):
        yield iterator





# Test the generator
count_five_peeps = lambda : count_peeps(5)

print "Counting five peeps..." 
for number in count_five_peeps():
    print number,
