# Bash

Good ol bash. Using the shell to get things done.

## Hello world

Prints a message to the screen. Uses the echo function:

```
./hello_world.sh
```

## 99 Bottles

Utilizes functions to print out various pieces of a message. This prints "99 Bottles of Beer" with correct punctuation.

```
./99bottles.sh
```


## What Time Is It

Prints the current date and time. Uses the date utility:

```
./what_time_is_it.sh
```


## HTTP Get

Get a URL using curl.

```
./http_get.sh
```


## HTTP Post

Send POST data to a URL using curl. 

```
./http_post.sh
```


### HTTP Server

Runs a web server at port 8080. Uses netcat `nc`:

```
./http_server.sh
```

### Factorial

