# C++

## Hello World

To compile:

```
g++ hello_world.cpp -o runme
./runme
```

## 99 Bottles

This outputs the lyrics to the 99 Bottles of Beer on the Wall song. 

The template version:

```
g++ 99bottles_template.cpp -o runme
./runme
```

## Factorial

```
g++ factorial_plain.cpp -o run.x
./run.x
```

```
g++ factorial_template.cpp -o run.x
./run.x
```


## HTTP GET

libcurlpp, maybe? But can't get any of the examples running.

# Boost

## Boost?

To install the Boost headers/library:

```
brew install boost
```

To compile the factorial example that uses Boost, you need to do a couple of things:
* Specify the boost library with `-lboost`
* Specify the library locations with `-L/usr/local/lib`
* Specify the header locations with `-I/usr/local/include`

```
# Nope.
# This doesn't find the library boost. 
# Boost is scattered in 40+ different library files in /usr/local/lib

g++ -lboost -L/usr/local/lib -I/usr/local/include factorial_boost.cpp
```




