package main
 
import (
  "fmt"
  "log"
  "net/http"
)
 
func main() {
	// Create an http handler function that writes an http response to http requests
	http.HandleFunc("/", 
		// define an in-place handler function:
		func(w http.ResponseWriter, req *http.Request) {
			fmt.Fprintln(w, "Goodbye, World!")
		})

	// listen and serve http on port 8080
	// and pass it to a logger 
	log.Fatal(http.ListenAndServe(":8080", nil))
}
 
