# Java

Java is a language designed to be run on any platform.
What that means is, you need to compile your Java into Java bytecode,
and to execute Java, you must run a Java bytecode interpreter.

## Getting the JDK

To get the tools you need, download the JDK - Java Developers Kit.



## Hello World 

Here's how you run a basic hello world script in java:

'''HelloWorld.java:'''

Note: class name must match file name.

```
public class HelloWorld {
    public static void main(String[] args) { 
        System.out.println("Hello world!");
    }
}
```

'''Compile:'''

```
$ javac HelloWorld.java
```

'''Run:'''

```
$ java HelloWorld
```

