public class Caesar{
    private int key;

    public Caesar(int key) {
        this.key = key;
    }

    public String shift(String message, boolean encrypt) {
        String message2 = "";

        message = message.toUpperCase();
        message = message.replace(" ","");

        for( int j = 0; j < message.length(); j++ ) {
            char c, c2;
            int ix, ix2;
            c = message.charAt(j);
            ix = (int)(c - 'A');

            if( encrypt ) {
                ix2 = (ix + this.key)%26;
            } else {
                // have to add 26 to ensure everything positive, because -1 mod 26 does not become 25
                ix2 = (26 + ix - this.key)%26;
            }

            c2 = (char)('A' + ix2);
            message2 += c2;
        }

        return message2;
    }

    public String encrypt(String message) {
        return shift(message,true);
    }

    public String decrypt(String message) {
        return shift(message,false);
    }
}
