#!/bin/sh

export RIGHTNOW="`date +"%Y%m%d_%H%M%S"`"
export OUT="timeout_nqueens_java_${RIGHTNOW}.out"
touch ${OUT}
cat /dev/null > ${OUT}

for N in 8 9 10 11 12 13 14 15
do
    echo "**************************************" >> ${OUT}
    echo "Running $N queens problem with Java..." >> ${OUT}
    
    # Update N
    /usr/local/bin/sed -i "s/SIZE = [0-9]\{1,\}/SIZE = ${N}/g" NQueens.java
    
    # Compile
    javac Nqueens.java

    # Semicolon is important here
    echo "Running..."
    { time java NQueens >> ${OUT}; } 2>> ${OUT}
    echo "Done."

    echo "" >> ${OUT}

done
