#!/bin/sh

export RIGHTNOW="`date +"%Y%m%d_%H%M%S"`"
export OUT="timeout_queens_perl_${RIGHTNOW}.out"
touch ${OUT}
cat /dev/null > ${OUT}

for N in 8 9 10 11 12 13 14 15
do
    echo "**************************************" >> ${OUT}
    echo "Running $N queens problem with Perl..." >> ${OUT}
    
    # Update N
    /usr/local/bin/sed -i "s/board_size = [0-9]\{1,\};/board_size = ${N};/g" nqueens.pl
    
    # Semicolon is important here
    echo "Running..."
    { time /usr/local/bin/perl nqueens.pl >> ${OUT}; } 2>> ${OUT}
    echo "Done."

    echo "" >> ${OUT}

done
