#!/bin/sh
#
# Profile the N queens problem using cProfile

export RIGHTNOW="`date +"%Y%m%d_%H%M%S"`"
export OUT="outfile_prof_nqueens_python_${RIGHTNOW}.out"

for N in 8 9 10 11
do

    echo "**************************************" >> ${OUT}
    echo "Profiling $N queens problem with Python..." >> ${OUT}
    
    # Update N
    /usr/local/bin/sed -i "s/board_size = [0-9]\{1,\}/board_size = ${N}/g" nqueens.py

    rm -f *.pyc
    
    echo "Running..."
    python pycprof_nqueens.py >> ${OUT}
    echo "Done."

done

