#!/bin/sh

export RIGHTNOW="`date +"%Y%m%d_%H%M%S"`"
export OUT="timeout_nqueens_python_${RIGHTNOW}.out"
touch ${OUT}
cat /dev/null > ${OUT}

#for N in 8 9 10 11 12 13 14 15
#for N in 12 13 14
for N in 8 9 10 11
do
    echo "**************************************" >> ${OUT}
    echo "Running $N queens problem with Python..." >> ${OUT}
    
    # Update N
    /usr/local/bin/sed -i "s/board_size = [0-9]\{1,\}/board_size = ${N}/g" nqueens.py 

    rm -f *.pyc
    
    # Semicolon is important here
    echo "Running..."
    { time python time_nqueens.py >> ${OUT}; } 2>> ${OUT}
    echo "Done."

    echo "" >> ${OUT}

done
